import type { PersistConfig, UploadConfig } from '@code-pushup/models';
import type { BaseNormalizedExecutorContext, GlobalExecutorOptions, ProjectExecutorOnlyOptions } from './types.js';
export declare function globalConfig(options: Partial<GlobalExecutorOptions & Record<string, unknown>>, context: BaseNormalizedExecutorContext): GlobalExecutorOptions;
export declare function persistConfig(options: Partial<PersistConfig & ProjectExecutorOnlyOptions>, context: BaseNormalizedExecutorContext): Partial<PersistConfig>;
export declare function uploadConfig(options: Partial<UploadConfig & ProjectExecutorOnlyOptions>, context: BaseNormalizedExecutorContext): Partial<UploadConfig>;
